/*
[XV]
ver 0.01	2006/11/02
	
*/

#ifndef __CBASEDEBUG_H__
#define __CBASEDEBUG_H__

#ifdef  _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES
#undef  _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES
#define _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES 1
#endif

#pragma warning (disable: 4786)

#include <windows.h>
#include <commctrl.h>
#include <vector>
#pragma comment(lib, "comctl32.lib")

#define DW_DEFAULT_WIDTH 240
#define DW_DEFAULT_HEIGHT 400
#define DW_TAB_HEIGHT 26

class CBaseDebug
{
public:
	CBaseDebug();
	~CBaseDebug();

private:
	static bool bIsValid;
	static int nReferenceCount;
	static std::vector<HWND> hWndVector;
	static LRESULT CALLBACK WndProc( HWND, UINT, WPARAM, LPARAM );

	HWND hWndTab;	// ^uƂɊ蓖ĂꂽEBhẼnh
	bool SetFont( void );
	bool FixWindowSize( int, int );
	bool CBaseDebug_CreateWindow( void );
	bool CBaseDebug_CreateTabCtrl( void );
	bool AddTabCtrl( int, LPTSTR );

protected:
	static HFONT hFont;
	static HWND hWndDebug;
	static HWND hTabCtrl;

	bool ChangeTabIndex( void );
	int AddWindow( HWND, LPTSTR ); // ߂l:CfbNX

public:
	HWND GetDebugWindowHandle( void );

};


#endif // __CBASEDEBUG_H__

