//
// CDebugMessage
//
#ifndef __CDEBUGMESSAGE_H__
#define __CDEBUGMESSAGE_H__

#pragma warning (disable: 4786)

#include <windows.h>
#include <string>
#include "CBaseDebug.h"
#include <iostream>
#include <sstream>
class CDebugMessage : public CBaseDebug
{
public:
	CDebugMessage();			//  LPTSTR : \^u
	CDebugMessage( LPTSTR );
	~CDebugMessage();
private:
	HWND hWndMessage;
	std::string sMessage;
	std::ostringstream oss;
	bool Initialize( LPTSTR );
	void OssViewFlush();
public:
	bool AddMessage( std::string );
	template <class _T> CDebugMessage & operator << ( _T Arg )
	{
		oss << Arg;
		return *this;
	}
	CDebugMessage & operator << ( char * );
	template <class _T> CDebugMessage & operator >> ( _T Arg )
	{
		OssViewFlush();
		return *this;
	}
};


#endif // __CDEBUGMESSAGE_H__
