#ifndef __CONV_REPLACE_H__
#define __CONV_REPLACE_H__

#pragma warning( disable : 4786 )

#include <fstream>
#include <vector>
#include <string>
#include <windows.h>
#include "replace.h"

/*


*/

class CConvReplace
{
public:
	CConvReplace( const char *lpFilename );
	CConvReplace( const char *lpFilename, const char *lpDefaultData );
	void CConvReplaceCommon( const char *lpFilename, const char *lpDefaultData );
	void Replace( std::string &sData );

private:
	bool bOpenSuccess;

	std::vector<std::string> vsConvBefore;
	std::vector<std::string> vsConvAfter;
};
#endif // __CONV_REPLACE_H__