#ifndef __WNDPROCMAIN_H__
#define __WNDPROCMAIN_H__

#include "common.h"

// J
LRESULT CALLBACK WndProc( HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam );
int SetStatusBarProgress( int nNow, int nMax );

// static
static int WndProc_WM_CREATE( HWND hWnd, WPARAM wParam, LPARAM lParam );
static int WndProc_WM_COMMAND( HWND hWnd, WPARAM wParam, LPARAM lParam );
static int WndProc_WM_DROPFILES( WPARAM wParam, LPARAM lParam );
static int WndProc_WM_SETCURSOR( HWND hWnd, WPARAM wParam, LPARAM lParam );
static int WndProc_WM_MENUSELECT( HWND hWnd, WPARAM wParam, LPARAM lParam );

static int SetStatusBarText( const char *lpSetText );

static UINT __stdcall ThreadConvertDropFiles( LPVOID lpvParam );

static int SetClientRect( HWND hWnd, int nWidth, int nHeight );

static int ConvertFileError( std::string sWriteFilePath, std::string sAddData = "" );
static void ConvertFileBefore( void );
static void ConvertFileAfter( int nNewFlag );
static int ConvertFile( std::string sFilePath );
static int ConvertFile( std::string sFileName, std::string sFileDir );
static bool FileNameReduce( std::string &sFilename, int nSize );
static int ReNameFile( std::string sFileName, std::string sFileNameRoman, std::string sFileDir, int nMode = 0 );
static int ConvertTag( std::string sFilePath );
static int mp3infp_ValueRoman( const char *lpValueName );
static int mp3infp_ValueRomanCommon( std::string sFilePath );

#endif