#include "replace.h"
#include <mbstring.h>

std::string& replace( std::string& str, const std::string sb, const std::string sa )
{
	std::string::size_type n, nb = 0;
	while(( n = str.find( sb, nb ) ) != std::string::npos )
	{
		str.replace( n, sb.size(), sa );
		nb = n + sa.size();
	}
	return str;
}

std::string& replace_mb( std::string& str, unsigned int c, const std::string sa )
{
	unsigned char * ucIndex;
	int nIndex;
	while( ucIndex = (unsigned char *)_mbschr( (const unsigned char *)str.c_str(), c ) )
	{
		nIndex = (int)(ucIndex - (const unsigned char *)str.c_str());
		str.replace( nIndex, 1, sa );
	}
	return str;
}
